<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/ui_surface"
    android:paddingStart="16dp"
    android:paddingTop="20dp"
    android:paddingEnd="16dp"
    android:paddingBottom="20dp">

    <com.gh.gamecenter.feature.view.GameIconView
        android:id="@+id/iv_icon"
        android:layout_width="36dp"
        android:layout_height="36dp"
        app:gameIconCornerRadius="8dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_game_name"
        style="@style/TextBody2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="@color/text_primary"
        app:layout_constraintBottom_toTopOf="@id/tv_time"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/iv_icon"
        app:layout_constraintTop_toTopOf="@id/iv_icon"
        app:layout_constraintVertical_chainStyle="packed"
        tools:text="游戏名称游戏名称游戏名称游戏名称游戏名称游戏名称游戏名称游戏名称游戏名称游戏名称" />

    <TextView
        android:id="@+id/tv_time"
        style="@style/TextCaption2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:includeFontPadding="false"
        android:textColor="@color/text_tertiary"
        app:layout_constraintBottom_toBottomOf="@id/iv_icon"
        app:layout_constraintStart_toStartOf="@id/tv_game_name"
        app:layout_constraintTop_toBottomOf="@id/tv_game_name"
        tools:text="5分钟前" />

    <TextView
        android:id="@+id/tv_gift_pack_name"
        style="@style/TextHeadline"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="@color/text_primary"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_icon"
        tools:text="礼包名称礼包名称礼包名称礼包名称礼包名称礼包名称礼包名称礼包名称礼包名称" />

    <View
        android:id="@+id/v_code_background"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:layout_marginTop="8dp"
        android:background="@drawable/bg_gift_pack_code"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_gift_pack_name" />

    <TextView
        android:id="@+id/tv_code_tips"
        style="@style/TextBody2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:text="@string/redeem_code"
        android:textColor="@color/text_secondary"
        app:layout_constraintBottom_toBottomOf="@id/v_code_background"
        app:layout_constraintStart_toStartOf="@id/v_code_background"
        app:layout_constraintTop_toTopOf="@id/v_code_background" />

    <TextView
        android:id="@+id/tv_code"
        style="@style/TextBody2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="16dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="@color/primary_theme"
        app:layout_constraintEnd_toStartOf="@id/tv_copy"
        app:layout_constraintStart_toEndOf="@id/tv_code_tips"
        app:layout_constraintTop_toTopOf="@id/tv_code_tips"
        tools:text="恭喜发财恭喜发财恭喜发财恭喜发财恭喜发财恭喜发财恭喜发财恭喜发财" />

    <Button
        android:id="@+id/tv_copy"
        style="@style/BtnMiniStyle"
        android:layout_marginEnd="8dp"
        android:background="@drawable/bg_common_button_light_fill_blue"
        android:text="@string/libao_copy"
        android:textColor="@color/primary_theme"
        app:layout_constraintBottom_toBottomOf="@id/v_code_background"
        app:layout_constraintEnd_toEndOf="@id/v_code_background"
        app:layout_constraintTop_toTopOf="@id/v_code_background" />

    <androidx.constraintlayout.widget.Group
        android:id="@+id/g_code"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:constraint_referenced_ids="v_code_background,tv_code_tips,tv_code,tv_copy" />

    <TextView
        android:id="@+id/tv_gift_pack_content"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:ellipsize="end"
        android:maxLines="2"
        android:textColor="@color/text_secondary"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_code_background"
        tools:text="礼包内容灵玉*2000，灵石*200000，加速仙符*2000灵玉*2000，灵石*200000，加速仙符*2000，招募令恭喜发财 利是逗来 恭喜发财" />
</androidx.constraintlayout.widget.ConstraintLayout>